# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/ADSL/test
# Build directory: /Users/h/sdk-folder/sdk-build/ADSL/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(DirectiveProcessorTest.testNullptrDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testNullptrDirective")
add_test(DirectiveProcessorTest.testWrongDialogRequestId "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testWrongDialogRequestId")
add_test(DirectiveProcessorTest.testSendNonBlocking "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testSendNonBlocking")
add_test(DirectiveProcessorTest.testSendBlockingThenNonBlocking "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testSendBlockingThenNonBlocking")
add_test(DirectiveProcessorTest.testOnUnregisteredDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testOnUnregisteredDirective")
add_test(DirectiveProcessorTest.testSetDialogRequestIdCancelsOutstandingDirectives "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testSetDialogRequestIdCancelsOutstandingDirectives")
add_test(DirectiveProcessorTest.testAddDirectiveWhileDisabled "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testAddDirectiveWhileDisabled")
add_test(DirectiveProcessorTest.testAddDirectiveAfterReEnabled "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveProcessorTest" "--gtest_filter=DirectiveProcessorTest.testAddDirectiveAfterReEnabled")
add_test(DirectiveRouterTest.testUnroutedDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testUnroutedDirective")
add_test(DirectiveRouterTest.testSettingADirectiveHandler "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testSettingADirectiveHandler")
add_test(DirectiveRouterTest.testRegisteringMultipeHandler "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testRegisteringMultipeHandler")
add_test(DirectiveRouterTest.testRemovingChangingAndNotChangingHandlers "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testRemovingChangingAndNotChangingHandlers")
add_test(DirectiveRouterTest.testResultOfHandleDirectiveFailure "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testResultOfHandleDirectiveFailure")
add_test(DirectiveRouterTest.testHandlerMethodsCanRunConcurrently "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveRouterTest" "--gtest_filter=DirectiveRouterTest.testHandlerMethodsCanRunConcurrently")
add_test(DirectiveSequencerTest.testNullptrExceptionSender "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testNullptrExceptionSender")
add_test(DirectiveSequencerTest.testCreateAndDoneTrigger "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testCreateAndDoneTrigger")
add_test(DirectiveSequencerTest.testNullptrDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testNullptrDirective")
add_test(DirectiveSequencerTest.testUnhandledDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testUnhandledDirective")
add_test(DirectiveSequencerTest.testEmptyDialogRequestId "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testEmptyDialogRequestId")
add_test(DirectiveSequencerTest.testHandleImmediatelyHandler "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testHandleImmediatelyHandler")
add_test(DirectiveSequencerTest.testRemovingAndChangingHandlers "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testRemovingAndChangingHandlers")
add_test(DirectiveSequencerTest.testBlockingDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testBlockingDirective")
add_test(DirectiveSequencerTest.testBlockingThenNonDialogDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testBlockingThenNonDialogDirective")
add_test(DirectiveSequencerTest.testBargeIn "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testBargeIn")
add_test(DirectiveSequencerTest.testBlockingThenNonBockingOnSameDialogId "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testBlockingThenNonBockingOnSameDialogId")
add_test(DirectiveSequencerTest.testThatBargeInDropsSubsequentDirectives "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testThatBargeInDropsSubsequentDirectives")
add_test(DirectiveSequencerTest.testPreHandleDirectiveError "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testPreHandleDirectiveError")
add_test(DirectiveSequencerTest.testHandleDirectiveError "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testHandleDirectiveError")
add_test(DirectiveSequencerTest.testAddDirectiveHandlersWhileHandlingDirectives "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testAddDirectiveHandlersWhileHandlingDirectives")
add_test(DirectiveSequencerTest.testHandleBlockingThenImmediatelyThenNonBockingOnSameDialogId "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testHandleBlockingThenImmediatelyThenNonBockingOnSameDialogId")
add_test(DirectiveSequencerTest.testAddDirectiveAfterDisabled "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testAddDirectiveAfterDisabled")
add_test(DirectiveSequencerTest.testDisableCancelsDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testDisableCancelsDirective")
add_test(DirectiveSequencerTest.testAddDirectiveAfterReEnabled "/Users/h/sdk-folder/sdk-build/ADSL/test/DirectiveSequencerTest" "--gtest_filter=DirectiveSequencerTest.testAddDirectiveAfterReEnabled")
add_test(MessageIntepreterTest.messageIsInValidJSON "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageIsInValidJSON")
add_test(MessageIntepreterTest.messageHasInvalidDirectiveKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidDirectiveKey")
add_test(MessageIntepreterTest.messageHasInvalidHeaderKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidHeaderKey")
add_test(MessageIntepreterTest.messageHasInvalidNamespaceKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidNamespaceKey")
add_test(MessageIntepreterTest.messageHasInvalidNameKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidNameKey")
add_test(MessageIntepreterTest.messageHasInvalidMessageIdKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidMessageIdKey")
add_test(MessageIntepreterTest.messageHasNoDialogRequestIdKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasNoDialogRequestIdKey")
add_test(MessageIntepreterTest.messageHasNoPayloadKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasNoPayloadKey")
add_test(MessageIntepreterTest.messageHasInvalidPayloadKey "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageHasInvalidPayloadKey")
add_test(MessageIntepreterTest.messageIsValidDirective "/Users/h/sdk-folder/sdk-build/ADSL/test/MessageInterpreterTest" "--gtest_filter=MessageIntepreterTest.messageIsValidDirective")
subdirs("common")
